//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HMS_Final
{
    using System;
    using System.Collections.Generic;
    
    public partial class LabReport
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public LabReport()
        {
            this.Inpatients = new HashSet<Inpatient>();
            this.outpaitents = new HashSet<outpaitent>();
        }
    
        public int labno { get; set; }
        public Nullable<int> pno { get; set; }
        public Nullable<int> amount { get; set; }
        public string category { get; set; }
        public Nullable<System.DateTime> dateofLab { get; set; }
        public Nullable<int> docno { get; set; }
        public Nullable<int> weightofpatient { get; set; }
    
        public virtual Doctor Doctor { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Inpatient> Inpatients { get; set; }
        public virtual Patient Patient { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<outpaitent> outpaitents { get; set; }
    }
}
